Limerence
Chat shares

Get Shared Chat

Get a shared chat by token (public or team-gated)

GET
/share/chat/{token}

Get a shared chat by token (public or team-gated)

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

token*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/share/chat/string"
{
  "agent": {
    "description": null,
    "id": "string",
    "name": "string"
  },
  "chatId": "string",
  "messages": [
    {
      "property1": "string",
      "property2": "string"
    }
  ],
  "share": {
    "createdAt": "string",
    "id": "string",
    "token": "string",
    "visibility": "string"
  }
}
{
  "cause": {
    "code": "api/invalid-json",
    "detail": "string"
  },
  "message": "The request body is not valid JSON"
}
{
  "cause": {
    "code": "chat-share/auth-required",
    "detail": "This chat is only accessible to team members. Please log in."
  },
  "message": "Authentication required"
}
{
  "cause": {
    "code": "chat-share/not-team-member",
    "detail": "You are not a member of the team that owns this chat."
  },
  "message": "Access denied"
}
{
  "cause": {
    "code": "chat-share/not-found",
    "detail": "This shared chat does not exist or has been removed."
  },
  "message": "Shared chat not found"
}
{
  "cause": {
    "code": "api/unsupported-media-type",
    "detail": "GET requests cannot have a content type header"
  },
  "message": "Unsupported Media Type"
}